import { useState } from "react";
import { AdministerUndeployment } from "../AdministerUndeployment";
import { IOCDelete } from "../IOCDelete";
import { IOCDetailAdmin } from "../IOCDetailAdmin";
import { ChangeHostAdmin } from "../ChangeHostAdmin";

export const IOCAdmin = ({ ioc }) => {
  const [buttonDisabled, setButtonDisabled] = useState(ioc.operationInProgress);
  return (
    <>
      <IOCDetailAdmin
        ioc={ioc}
        buttonDisabled={buttonDisabled}
        setButtonDisabled={(value) => setButtonDisabled(value)}
      />
      {ioc.activeDeployment ? (
        <ChangeHostAdmin
          ioc={ioc}
          buttonDisabled={buttonDisabled}
          setButtonDisabled={(value) => setButtonDisabled(value)}
        />
      ) : null}
      <AdministerUndeployment
        ioc={ioc}
        buttonDisabled={buttonDisabled}
        setButtonDisabled={(value) => setButtonDisabled(value)}
      />
      <IOCDelete
        ioc={ioc}
        buttonDisabled={buttonDisabled}
        setButtonDisabled={(value) => setButtonDisabled(value)}
      />
    </>
  );
};
